Bug 1789686 - Non-admin user with enough permissions can't generate report of applicable errata
Summary: Non-admin user with enough permissions can't generate report of applicable er...
Keywords:
Status: ON_DEV
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Users & Roles
Version: 6.5.0
Hardware: All
OS: All
unspecified
low vote
Target Milestone: 6.8.0
Assignee: Ranjan Kumar
QA Contact: Radovan Drazny
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-01-10 06:43 UTC by Ranjan Kumar
Modified: 2020-05-25 14:51 UTC (History)
2 users (show)

Fixed In Version: tfm-rubygem-katello-3.16.0-0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 28715 Normal Closed Non-admin user with enough permissions can't generate report of applicable errata 2020-05-25 09:48:32 UTC

Description Ranjan Kumar 2020-01-10 06:43:59 UTC
Description of problem:
Non-admin user with all required permissions can't generate applicable errata report, an empty report is generated.

Version-Release number of selected component (if applicable): Satellite 6.5.2


How reproducible: Always


Steps to Reproduce:
1. Create a non-admin user, assign Default Org/Loc
2. Create role and assign all permissions of "Report template" and "Satellite tasks/task"
3. Assign a role to previously created user
4. Log in as a user, try to generate an applied errata template. The empty report is generated

Actual results: Blank report is generated


Expected results: It should generate a correct report


Additional info:

Comment 3 Marek Hulan 2020-01-10 08:40:07 UTC
Does the user also have view_hosts and view_errata permissions? If not, add them too.

Comment 4 Ranjan Kumar 2020-01-10 08:49:35 UTC
Yes, We applied org admin and viewer roles but none of them worked.

But this patch resolved the issue

https://github.com/Katello/katello/pull/8506/commits/208509dcea4a3fabdaa02f8a4d6eb16e8c80af0e

Comment 5 Bryan Kearney 2020-01-28 05:03:58 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/28715 has been resolved.


Note You need to log in before you can comment on or make changes to this bug.